Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jcckit.plot
Interface SymbolFactory

All Known Implementing Classes:
  AbstractSymbolFactory, ErrorBarFactory

public interface SymbolFactory

Interface of a symbol factory. A symbol is a `GraphicalElement` or `GraphicalComposite`. A symbol factory creates the same type of symbols. In general, they have all the same size. But they are distinguished from each other by their positions. In addition they may also differ in other properties which will be determined by `Hints`.

Author:
  Franz-Josef Elmer

Field Summary
`static java.lang.String` | `ATTRIBUTES_KEY` Common configuration parameter key need by implementing classes.
`static double` | `DEFAULT_SIZE` Default size of a symbol = 0.01.
`static java.lang.String` | `SIZE_KEY` Common configuration parameter key need by implementing classes.

Method Summary
`GraphicalElement` | `createLegendSymbol(GraphPoint centerPosition, double size)` Creates a symbol for the legend at the specified position.
`Symbol` | `createSymbol(GraphPoint point, Hint hintFromPreviousPoint, Hint hintFromPreviousCurve)` Creates a symbol for the specified point taking into account the specified hints.

Field Detail

### SIZE_KEY

    public static final java.lang.String SIZE_KEY

  Common configuration parameter key need by implementing classes.

  See Also:
    Constant Field Values

### ATTRIBUTES_KEY

    public static final java.lang.String ATTRIBUTES_KEY

  Common configuration parameter key need by implementing classes.

  See Also:
    Constant Field Values

### DEFAULT_SIZE

    public static final double DEFAULT_SIZE

  Default size of a symbol = 0.01.

  See Also:
    Constant Field Values

Method Detail

### createSymbol

    public Symbol createSymbol(GraphPoint point,
                               Hint hintFromPreviousPoint,
                               Hint hintFromPreviousCurve)

  Creates a symbol for the specified point taking into account the specified hints.

  Parameters:
    `point` - The position of the symbol. In general it is a transformation of a corresponding `DataPoint` into a `GraphPoint`.
    `hintFromPreviousPoint` - Hint from the previous point of the same `Curve` or `null`.
    `hintFromPreviousCurve` - Hint from the previous `Curve` or `null`.

### createLegendSymbol

    public GraphicalElement createLegendSymbol(GraphPoint centerPosition,
                                               double size)

  Creates a symbol for the legend at the specified position.

  Parameters:
    `centerPosition` - Center position of the symbol.
    `size` - The size of the symbol. Will not be used if the symbol of the curve points have all the same size. In this case the symbol for the legend has the size of the curve symbols.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD